### Hierarchy

- AbstractWalletValidator<BtcCryptoWallet, BtcWalletData>
  - BtcWalletValidator

### Implements

- WalletValidator<BtcCryptoWallet, BtcWalletData>

## Index

### Methods

- validateCryptoWallet
- validateSignature

## Methods

### validateCryptoWallet

- validateCryptoWallet(wallet: BtcWalletData): ValidationResult<StringSignedMessage>

- Inherited from AbstractWalletValidator.validateCryptoWallet

  - Defined in utils/types/validators/AbstractWalletValidator.ts:9

  #### Parameters

  - ##### wallet: BtcWalletData

  #### Returns ValidationResult<StringSignedMessage>

### validateSignature

- validateSignature(wallet: BtcWalletData): boolean

- Overrides AbstractWalletValidator.validateSignature

  - Defined in utils/types/validators/BtcWalletValidator.ts:8

  #### Parameters

  - ##### wallet: BtcWalletData

  #### Returns boolean

Generated using TypeDoc